#include <bits/stdc++.h>
#define pb push_back
#define ll long long
#define FOR(n) for(int i = 0; i < n; i++)
#define fi first
#define se second
#define pii pair<int,int>
#define pll pair<long long, long long>
#define pdd pair<double,double>
#define pid pair<int,double>
#define C const int
using namespace std;

bool cmp(pid x, pid y){
    return x.se < y.se;
}

int main(){
    int n; cin >> n;
    vector<pid> a(n);
    FOR(n) cin >> a[i].fi >> a[i].se;
    sort(a.begin(),a.end(),cmp);
    vector<ll> sume(n);
    FOR(n){
        if(i==0) sume[0]=a[0].fi;
        else{
            sume[i]=(ll)(sume[i-1]+a[i].fi);
        }
    }
    double ans = a[0].se*(sume[n-1])/100;
    for(int i = 1; i < n; i++){
        ans = max(ans, a[i].se*(sume[n-1]-sume[i-1])/100);
    }
    cout << fixed << setprecision(4) << ans;
}